#!/bin/bash
########################################################################
# 'install.sh' for the program consoleSudoku.            
#                                                           
# Version: 0.11
# Date: 03-June-2016
########################################################################
#
# Copyright (C) <2016>  <author: Peter Rossnagel>  <contact: pewrn@t-online.de>
# -----------------------------------------------------------------------------
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as published by
# the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
########################################################################
# 'install.sh' based on the code and explanations given at:
# http://wiki.freepascal.org/Deploying_Your_Application
# especially:
# http://wiki.freepascal.org/Deploying_Your_Application#Creating_a_Makefile_for_your_Lazarus_software
#
# License information: 
# http://wiki.freepascal.org/Licensing
########################################################################
NAME="consoleSudoku"

# Parses command line options. Currently supported options is:
# DESTDIR      Destination root directory
DESTDIR=""     
for arg; do
  case $arg in
    DESTDIR=*) DESTDIR=${arg#DESTDIR=};;
  esac;
done

BINDIR=$DESTDIR/usr/bin
MANDIR=$DESTDIR/usr/share/man/man6
DOCDIR=$DESTDIR/usr/share/doc/packages/$NAME
     
echo "Installing consoleSudoku..."

mkdir -p $DOCDIR $BINDIR $MANDIR
install --mode=755 $NAME $BINDIR/
install --mode=644 $NAME.6.gz $MANDIR/
install --mode=644 README COPYING ChangeLog AUTHORS $DOCDIR/ 

echo "Installation done."
     
